"""Mapping between IPA and Kirshenbaum"""

# http://www.blahedo.org/ascii-ipa.html

IPA_TO_KIRSHENBAUM = {
    "\u0061": "a",
    "\u0250": "",
    "\u0251": "A",
    "\u0252": "A.",
    "\u00e6": "&",
    "\u028c": "V",
    "\u0062": "b",
    "\u0253": "b`",
    "\u0299": "b<trl>",
    "\u03b2": "B",
    "\u0063": "c",
    "\u00e7": "C",
    "\u0255": "",
    "\u0064": "d",
    "\u0257": "d`",
    "\u0256": "d.",
    "\u00f0": "D",
    "\u0065": "e",
    "\u0259": "@",
    "\u025a": "R",
    "\u0258": "@",
    "\u025b": "E",
    "\u025c": 'V"',
    "\u025d": "R<umd>",
    "\u025e": 'O"',
    "\u0066": "f",
    "\u0261": "g",
    "\u0260": "g`",
    "\u0262": "G",
    "\u029b": "G`",
    "\u0263": "Q",
    "\u02e0": "~",
    "\u0264": "o-",
    "\u0068": "h",
    "\u02b0": "<h>",
    "\u0127": "H",
    "\u0266": "h<?>",
    "\u0267": "",
    "\u0265": "j<rnd>",
    "\u029c": "",
    "\u0069": "i",
    "\u0268": 'i"',
    "\u026a": "I",
    "\u006a": "j",
    "\u02b2": ";",
    "\u029d": "C<vcd>",
    "\u025f": "J",
    "\u0284": "J`",
    "\u006b": "k",
    "\u006c": "l",
    "\u026b": "",
    "\u026c": "s<lat>",
    "\u026d": "l.",
    "\u026e": "z<lat>",
    "\u029f": "L",
    "\u006d": "m",
    "\u0271": "M",
    "\u026f": "u-",
    "\u0270": "j<vel>",
    "\u006e": "n",
    "\u0272": "n^",
    "\u014b": "N",
    "\u0273": "n.",
    "\u0274": 'n"',
    "\u006f": "o",
    "\u0298": "p!",
    "\u0275": "@.",
    "\u00f8": "Y",
    "\u0153": "&.",
    "\u0276": "W",
    "\u0254": "O",
    "\u0070": "p",
    "\u0278": "F",
    "\u0071": "q",
    "\u0072": "r<trl>",
    "\u027e": "*",
    "\u027c": "",
    "\u027d": "*.",
    "\u0279": "r",
    "\u027b": "r.",
    "\u027a": "*<lat>",
    "\u0280": 'r"',
    "\u0281": 'g"',
    "\u0073": "s",
    "\u0282": "s.",
    "\u0283": "S",
    "\u0074": "t",
    "\u0288": "t.",
    "\u03b8": "T",
    "\u0075": "u",
    "\u0289": 'u"',
    "\u028a": "U",
    "\u0076": "v",
    "\u028b": "r<lbd>",
    "\u0077": "w",
    "\u02b7": "<w>",
    "\u028d": "w<vls>",
    "\u0078": "x",
    "\u03c7": "X",
    "\u0079": "y",
    "\u028e": "l^",
    "\u028f": "I.",
    "\u007a": "z",
    "\u0291": "",
    "\u0290": "z.",
    "\u0292": "Z",
    "\u0294": "?",
    "\u02a1": "",
    "\u0295": "H<vcd>",
    "\u02a2": "",
    "\u02e4": "<H>",
    "\u01c3": "c!",
    "\u01c0": "t!",
    "\u01c2": "c!",
    "\u01c1": "l!",
    "\u0320": "",
    "\u032a": "",
    "\u033a": "",
    "\u031f": "",
    "\u031d": "",
    "\u031e": "",
    "\u02c8": "'",
    "\u02cc": ",",
    "\u0329": "-",
    "\u031a": "<o>",
    "\u002e": "",
    "\u02d1": "",
    "\u0308": "",
    "\u0324": "<?>",
    "\u02d0": ":",
    "\u02bc": "`",
    "\u0325": "<o>",
    "\u030a": "",
    "\u031c": "",
    "\u0339": "",
    "\u0303": "~",
    "\u0334": "~",
    "\u0330": "",
    "\u032c": "",
    "\u0306": "",
    "\u032f": "",
    "\u033d": "",
    "\u02de": "<r>",
    "\u033b": "",
    "\u0318": "",
    "\u0319": "",
    "\u033c": "",
    "\u2197": "",
    "\u2191": "",
    "\u2198": "",
    "\u2193": "",
    "\u030f": "1",
    "\u0300": "2",
    "\u0304": "3",
    "\u0301": "4",
    "\u030b": "5",
}
